export declare class Tree {
    N: number;
    children: this[];
    findFn: Function;
    objects: any[];
    constructor(N?: number);
    setObject(obj: any, generateFn: Function, findFn: Function): void;
    add(obj: any): void;
    remove(obj: any): void;
    find(condition: any): void;
}
